<template>
  <v-container>
      <v-row>
        <v-col
          cols="12"
        >
          <v-dialog
            ref="dialog"
            v-model="modal"
            :return-value.sync="date"
            persistent
            width="290px"
          >
            <template v-slot:activator="{ on, attrs }">
              <v-text-field
                v-model="dateFormatted"
                label="เลือกวันที่"
                prepend-icon="mdi-calendar"
                readonly
                v-bind="attrs"
                v-on="on"
              ></v-text-field>
            </template>
            <v-date-picker
              v-model="date"
              :first-day-of-week="0"
              locale="th-TH"
              scrollable
            >
              <v-spacer></v-spacer>
              <v-btn
                text
                color="primary"
                @click="modal = false"
              >
                Cancel
              </v-btn>
              <v-btn
                text
                color="primary"
                @click="$refs.dialog.save(date); getNewCase();"
              >
                OK
              </v-btn>
            </v-date-picker>
          </v-dialog>
        </v-col>
      </v-row>
      <v-row dense>
        <v-col cols="12">
          <v-card
            :loading="loading"
            color="#EF5350"
            dark
          >
            <template slot="progress">
              <v-progress-linear
                color="#B71C1C"
                height="10"
                indeterminate
              ></v-progress-linear>
            </template>
            <v-card-title class="text-h5 justify-center">
             จำนวนผู้ติดเชื้อ
            </v-card-title>
            <v-card-title class="text-h4 font-weight-black justify-center">
             {{covidData.new_case}}
            </v-card-title>
            <v-card-title class="text-h5 justify-center">
             คน
            </v-card-title>
          </v-card>
        </v-col>
      </v-row>
  </v-container>
 
</template>

<script>
  

  export default {
    name: 'Home',
    data: () => ({
      date: (new Date(Date.now() - (new Date()).getTimezoneOffset() * 60000)).toISOString().substr(0, 10),
      modal: false,
      covidData : null,
      loading: false,
      dateFormatted: null,
    }),
    components: {
    
    },
    created () {
      this.dateFormatted= this.formatDate((new Date(Date.now() - (new Date()).getTimezoneOffset() * 60000)).toISOString().substr(0, 10))
      this.getNewCase()
    },
    watch: {
      date (val) {
        this.dateFormatted = this.formatDate(val)
      },
    },
    methods: {
      getNewCase(){
        this.modal = false
        this.loading = true
        this.axios.get(`https://bb1c-2403-6200-8831-8c23-e9be-1eb7-339f-2d93.ngrok.io/api/v1/covid/new_case_per_date?date=${this.date}`).then(response =>{
          if (response.data.value == null) {
            this.covidData.new_case = 0 
          } else{
            this.covidData = response.data.value
          }
          this.loading = false
          console.log(this.covidData.new_case)
        })
        
      },
      formatDate (date) {
        if (!date) return null

        const [year, month, day] = date.split('-')
        return `${day}/${month}/${(parseInt(year)+543)}`
      },
    }
  }
</script>
